package com.unis.base.server.dao;


import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.server.entity.TyCrkjsxxDO;
import com.unis.base.server.example.TyCrkjsxxExample;

import tk.mybatis.mapper.common.Mapper;

/**
 *  出入库结算信息
 * @author duanyh
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyCrkjsxxDao extends Mapper<TyCrkjsxxDO> {
    int countByExample(TyCrkjsxxExample example);

//    int deleteByExample(TyCrkjsxxExample example);

//    int deleteByPrimaryKey(String jsid);

    int insert(TyCrkjsxxDO record);

    int insertSelective(TyCrkjsxxDO record);

    List<TyCrkjsxxDO> selectByExample(TyCrkjsxxExample example);

//	TyCrkjsxxDO selectByPrimaryKey(String jsid);
    TyCrkjsxxDO selectByKey(String jsid);

//    int updateByExampleSelective(@Param("record") TyCrkjsxxDO record, @Param("example") TyCrkjsxxExample example);

//    int updateByExample(@Param("record") TyCrkjsxxDO record, @Param("example") TyCrkjsxxExample example);

//    int updateByPrimaryKeySelective(TyCrkjsxxDO record);

    int updateByPrimaryKey(TyCrkjsxxDO record);

    List<TyCrkjsxxDO> selectAlls(TyCrkjsxxDO dCfxxsjyDO);
}